---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libma05t001a.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x39B8, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4D860, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4F7A0, symBinAddr: 0xE120, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4FB88, symBinAddr: 0xE508, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x50B28, symBinAddr: 0xF4A8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x50B30, symBinAddr: 0xF4B0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4D4D8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4D4DC, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4D4E0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4D630, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4D6E8, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4D6EC, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4D6F0, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4D6F4, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4D6F8, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4D700, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4D710, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4D718, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4D720, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4D728, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4D730, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4D738, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4D780, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x4D7C8, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL19FramePopEventsCount, symObjAddr: 0x4D7BC, symBinAddr: 0xC1C4, symSize: 0x0 }
  - { offsetInCU: 0x94E4, offset: 0x94E4, size: 0x8, addend: 0x0, symName: __ZL6thread, symObjAddr: 0x4D7C0, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94FD, offset: 0x94FD, size: 0x8, addend: 0x0, symName: __ZL22MethodEntryEventsCount, symObjAddr: 0x4D7D0, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x297C, symSize: 0xA0 }
  - { offsetInCU: 0x95E4, offset: 0x95E4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2954, symSize: 0x28 }
  - { offsetInCU: 0x9647, offset: 0x9647, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x28D4, symSize: 0x80 }
  - { offsetInCU: 0x98DB, offset: 0x98DB, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2A1C, symSize: 0x34 }
  - { offsetInCU: 0x9935, offset: 0x9935, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2A50, symSize: 0x20C }
  - { offsetInCU: 0x9AEE, offset: 0x9AEE, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2C5C, symSize: 0x28 }
  - { offsetInCU: 0x9BB7, offset: 0x9BB7, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x2C84, symSize: 0xB0 }
  - { offsetInCU: 0x9CAE, offset: 0x9CAE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x2D34, symSize: 0xD8 }
  - { offsetInCU: 0x9DFF, offset: 0x9DFF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x2E0C, symSize: 0x24 }
  - { offsetInCU: 0x9F3A, offset: 0x9F3A, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x2E30, symSize: 0x168 }
  - { offsetInCU: 0xA116, offset: 0xA116, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2F98, symSize: 0x104 }
  - { offsetInCU: 0xA3C7, offset: 0xA3C7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x309C, symSize: 0x3F8 }
  - { offsetInCU: 0xA5EB, offset: 0xA5EB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3494, symSize: 0x154 }
  - { offsetInCU: 0xA7CF, offset: 0xA7CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x35E8, symSize: 0xAC }
  - { offsetInCU: 0xA8A4, offset: 0xA8A4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3694, symSize: 0x14 }
  - { offsetInCU: 0xA8DD, offset: 0xA8DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x36A8, symSize: 0x14 }
  - { offsetInCU: 0xA916, offset: 0xA916, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x36BC, symSize: 0x14 }
  - { offsetInCU: 0xAAF7, offset: 0xAAF7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x36D0, symSize: 0x1A8 }
  - { offsetInCU: 0xAE01, offset: 0xAE01, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3878, symSize: 0x140 }
  - { offsetInCU: 0xAFA2, offset: 0xAFA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x3C28, symSize: 0x1C0 }
  - { offsetInCU: 0xB27F, offset: 0xB27F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3DE8, symSize: 0x9C }
  - { offsetInCU: 0xB33C, offset: 0xB33C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x3E84, symSize: 0x690 }
  - { offsetInCU: 0xBECE, offset: 0xBECE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9A98, symBinAddr: 0x5EEC, symSize: 0x30 }
  - { offsetInCU: 0xBF5A, offset: 0xBF5A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4514, symSize: 0x74 }
  - { offsetInCU: 0xC042, offset: 0xC042, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4588, symSize: 0xB0 }
  - { offsetInCU: 0xC14D, offset: 0xC14D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x4BA0, symBinAddr: 0x4638, symSize: 0x1E4 }
  - { offsetInCU: 0xC38F, offset: 0xC38F, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x4D84, symBinAddr: 0x481C, symSize: 0x320 }
  - { offsetInCU: 0xC804, offset: 0xC804, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4B3C, symSize: 0x3C }
  - { offsetInCU: 0xC8FA, offset: 0xC8FA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4B78, symSize: 0x29C }
  - { offsetInCU: 0xCC3D, offset: 0xCC3D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x4E14, symSize: 0xD0 }
  - { offsetInCU: 0xCD6B, offset: 0xCD6B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4EE4, symSize: 0xC }
  - { offsetInCU: 0xCE2D, offset: 0xCE2D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4EF0, symSize: 0x22C }
  - { offsetInCU: 0xD0E8, offset: 0xD0E8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x511C, symSize: 0x4 }
  - { offsetInCU: 0xD12C, offset: 0xD12C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x511C, symSize: 0x4 }
  - { offsetInCU: 0xD145, offset: 0xD145, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5120, symSize: 0x29C }
  - { offsetInCU: 0xD42B, offset: 0xD42B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F68, symBinAddr: 0x53BC, symSize: 0x4 }
  - { offsetInCU: 0xD46F, offset: 0xD46F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F68, symBinAddr: 0x53BC, symSize: 0x4 }
  - { offsetInCU: 0xD512, offset: 0xD512, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F6C, symBinAddr: 0x53C0, symSize: 0x6B8 }
  - { offsetInCU: 0xDD87, offset: 0xDD87, size: 0x8, addend: 0x0, symName: __ZL11MethodEntryP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodID, symObjAddr: 0x9624, symBinAddr: 0x5A78, symSize: 0x300 }
  - { offsetInCU: 0xE121, offset: 0xE121, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0x9924, symBinAddr: 0x5D78, symSize: 0x174 }
  - { offsetInCU: 0xE2D6, offset: 0xE2D6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9AC8, symBinAddr: 0x5F1C, symSize: 0x358 }
...
